## grendel.dnd
Class DropTargetDragEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--grendel.dnd.DropTargetEvent
                  |
                  +--grendel.dnd.DropTargetDragEvent

public abstract class DropTargetDragEvent
extends DropTargetEvent

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DropTargetDragEvent(java.lang.Object aSource, DropTargetContext context, java.awt.Point cursor, int actions, java.awt.datatransfer.DataFlavor[] flavors)`

Method Summary
`java.awt.datatransfer.DataFlavor[]` | `getDataFlavors()`

Methods inherited from class grendel.dnd.DropTargetEvent
`getDropTargetContext, getSourceActions`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropTargetDragEvent

    public DropTargetDragEvent(java.lang.Object aSource,
                               DropTargetContext context,
                               java.awt.Point cursor,
                               int actions,
                               java.awt.datatransfer.DataFlavor[] flavors)

Method Detail

### getDataFlavors

    public java.awt.datatransfer.DataFlavor[] getDataFlavors()